Get list of orders by SSN
curl --request POST \
--url https://prod.truv.com/v1/orders/lookup/ \
--header 'Content-Type: application/json' \
--header 'X-Access-Client-Id: <api-key>' \
--header 'X-Access-Secret: <api-key>' \
--data '
{
"ssn": "<string>"
}
'import requests
url = "https://prod.truv.com/v1/orders/lookup/"
payload = { "ssn": "<string>" }
headers = {
"X-Access-Client-Id": "<api-key>",
"X-Access-Secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Access-Client-Id': '<api-key>',
'X-Access-Secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({ssn: '<string>'})
};
fetch('https://prod.truv.com/v1/orders/lookup/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 100,
"next": "https://prod.truv.com/v1/orders/lookup/?page=2",
"previous": "https://prod.truv.com/v1/orders/lookup/?page=1",
"results": [
{
"id": "39aa1486ccca4bc19cda071ffc1ba392",
"products": [
"income"
],
"source": "floify",
"client_name": "Unnamed Verifications Inc.",
"first_name": "John",
"last_name": "Doe",
"user_id": "99dd17074ac94aa9ace2621d657c7610",
"share_url": "https://cdn.truv.com/employment.html?bridge_token=63b4af88facb40e48f517c1e8c7abdf4&order_group_id=39aa1486ccca4bc19cda071ffc1ba392",
"created_at": "2021-04-21T21:45:14.418542Z",
"expired_at": "2021-04-24T21:45:14.418542Z",
"is_expired": true,
"employers": [
{
"id": "ad9f14440d624ec3b0f66e81e44518c7",
"status": "pending",
"created_at": "2021-04-21T22:12:59.346109Z",
"product_type": "income",
"suborder_number": "133982343355",
"bridge_token": "e4100fccdae94691b4414c7306220c06",
"link_id": "e4100fccdae94691b4414c7306220c06",
"access_token": "e4100fccdae94691b4414c7306220c06",
"pdf_report": "https://cdn.truv.com/report.pdf",
"data_source": "payroll",
"provider": {
"id": "truv_api",
"name": "Sandbox Provider",
"logo_url": "https://cdn.truv.com/providers/truv-blue.svg"
},
"is_suspicious": true,
"start_date": "2019-08-24",
"end_date": "2019-11-27",
"company_name": "Facebook Demo",
"company_address": {
"street": "1 Hacker Way",
"city": "Menlo Park",
"state": "CA",
"zip": "94025"
},
"company_domain": "facebook.com",
"company_logo": "https://cdn.truv.com/company_logos/facebook.svg"
}
],
"order_number": "1534332",
"custom_field": "<string>",
"bridge_token": "e4100fccdae94691b4414c7306220c06",
"updated_at": "2021-04-21T21:45:14.418542Z",
"canceled_at": "2021-04-22T21:45:14.418542Z",
"completed_at": "2021-04-22T21:45:14.418542Z",
"user_consent_at": "2021-04-21T21:45:14.418542Z",
"initial_order": "f5dc0239e2094dbc90ab2edc1918a9df",
"refresh_order": "9b96606355b94e8abff8ed8d75aa2027",
"insurance": {
"id": "ad9f14440d624ec3b0f66e81e44518c7",
"status": "pending",
"created_at": "2021-04-21T22:12:59.346109Z",
"product_type": "insurance",
"suborder_number": "133982343355",
"bridge_token": "e4100fccdae94691b4414c7306220c06",
"link_id": "e4100fccdae94691b4414c7306220c06",
"access_token": "e4100fccdae94691b4414c7306220c06",
"pdf_report": "https://cdn.truv.com/report.pdf",
"data_source": "insurance",
"provider": {
"id": "truv_api",
"name": "Sandbox Provider",
"logo_url": "https://cdn.truv.com/providers/truv-blue.svg"
},
"is_suspicious": true
},
"manager": {
"email": "john.doe@example.com",
"name": "John Doe"
},
"financial_accounts": [
{
"id": "ad9f14440d624ec3b0f66e81e44518c7",
"status": "pending",
"created_at": "2021-04-21T22:12:59.346109Z",
"product_type": "transactions",
"suborder_number": "133982343355",
"bridge_token": "e4100fccdae94691b4414c7306220c06",
"link_id": "e4100fccdae94691b4414c7306220c06",
"access_token": "e4100fccdae94691b4414c7306220c06",
"pdf_report": "https://cdn.truv.com/report.pdf",
"data_source": "financial_accounts",
"provider": {
"id": "truv_api",
"name": "Sandbox Provider",
"logo_url": "https://cdn.truv.com/providers/truv-blue.svg"
},
"is_suspicious": true,
"accounts": [
{
"id": "24d7e80942ce4ad58a93f70ce4115f5c",
"type": "CHECKING",
"subtype": "MONEY_MARKET",
"mask": "6789",
"balance": "5000.00",
"owners": [
{
"full_name": "John Doe"
}
]
}
]
}
],
"loan": {
"loan_number": "MUUT220700012",
"originator_name": "John Doe",
"originator_email": "john@example.com",
"loan_processor_name": "John Doe",
"loan_processor_email": "john@doe.com",
"external_id": "c505e0f1b4134fdc853fc87e7d2cc4a5"
},
"template_id": "9b96606355b94e8abff8ed8d75aa2027",
"cc_emails": [
"jsmith@example.com"
],
"short_share_url": "https://truv.com/s/BIlEyh1A",
"voie_report_id": "b19c454a98594b4084b71e3b62873d29",
"voa_report_id": "b19c454a98594b4084b71e3b62873d29",
"income_insights_report_id": "b19c454a98594b4084b71e3b62873d29",
"aim_check_report_id": "FM-1234-39aa1486ccca4bc19cda071ffc1ba392",
"notes": "To be processed by John Doe"
}
]
}{
"error": {
"code": "incorrect_parameters",
"message": "Incorrect request parameters",
"extra": {
"invalid-params": [
{
"field": "access_token",
"message": "This field is required."
}
]
}
}
}{
"error": {
"code": "authentication_failed",
"message": "No such token"
}
}{
"error": {
"code": "not_authenticated",
"message": "Authentication credentials were not provided."
}
}Orders
Get list of orders by SSN
The endpoint returns a list of orders by an applicant SSN
POST
/
v1
/
orders
/
lookup
/
Get list of orders by SSN
Authorizations
Client ID
Client Access Key
Body
application/json
Required string length:
9 - 11Response
List orders by an applicant SSN
Number of orders to return
Example:
100
Url to the next page
Example:
"https://prod.truv.com/v1/orders/lookup/?page=2"
Url to the previous page
Example:
"https://prod.truv.com/v1/orders/lookup/?page=1"
List orders by an applicant SSN
Show child attributes
Show child attributes
Was this page helpful?
⌘I